[calculix-cgx] 03/07: Added script for getting and building orig tarball

Wolfgang Fütterer wlfuetter-guest at moszumanska.debian.org
Mon Apr 27 10:50:08 UTC 2015


This is an automated email from the git hooks/post-receive script.

wlfuetter-guest pushed a commit to branch master
in repository calculix-cgx.

commit 9936473e2693a74113c9afd1879f6631b78fd88e
Author: Wolfgang Fuetterer <debian at wlf-online.de>
Date:   Wed Apr 1 15:07:01 2015 +0200

    Added script for getting and building orig tarball
---
 debian/calculix_cgx_get-orig-source.sh | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/debian/calculix_cgx_get-orig-source.sh b/debian/calculix_cgx_get-orig-source.sh
new file mode 100644
index 0000000..adfca84
--- /dev/null
+++ b/debian/calculix_cgx_get-orig-source.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+UPSTREAM="cgx_"
+PACKAGE="calculix-cgx"
+SOURCE_URL="http://www.dhondt.de/"
+
+SRCPACKAGE=cgx_2.8.all.tar.bz2
+SRC_VERSION=2.8
+PATCH_LVL=
+
+# SRCPACKAGE=$(curl ${SOURCE_URL} 2>&1 | grep -o -E 'href="([^"#]+)"' | cut -d'"' -f2 | grep ${UPSTREAM} | grep all)
+# SRC_VERSION=$(echo ${SRCPACKAGE} | sed -e "s/^${UPSTREAM}\([0-9]\+.[0-9]\+\).*$/\1/")
+# PATCH_LVL=$(echo ${SRCPACKAGE} | sed -e "s/^${UPSTREAM}[0-9]\+.[0-9]\+\(p[0-9]\).*$/\1/")
+## Download and extract everything
+echo "Download and extract ${SOURCE_URL}${SRCPACKAGE} (Version: ${SRC_VERSION}${PATCH_LVL})"
+
+if [ ! -e ${SRCPACKAGE} ]; then
+  wget -v ${SOURCE_URL}${SRCPACKAGE}
+fi
+  
+tar xjf ${SRCPACKAGE}
+
+TARBALL=${PACKAGE}_${SRC_VERSION}${PATCH_LVL}.dfsg.orig.tar.xz
+
+echo "Creating orig.tar.xz: ${TARBALL}"
+cd CalculiX
+
+tar -cJf ../${TARBALL} "${UPSTREAM}${SRC_VERSION}" || exit 1
+
+cd ..
+echo "Finished"
+rm -rf CalculiX
\ No newline at end of file

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/calculix-cgx.git



More information about the debian-science-commits mailing list